# Create a new vision analysis

Creates a new vision analysis. The resource isn't fully created immediately and you'll want to poll the /visionAnalyses/{id} GET for the result.

Endpoint: POST /visionAnalyses
Security: clientCredentials, oAuth2Password

## Header parameters:

  - `cache-control` (string)
    Whether to bypass the cached response. Requires permission to bypass the cache.
    Enum: "no-cache"

## Request fields (application/json):

  - `input` (string, required)
    The input to generate a vision analysis of. Images must have a minumum width and height of 200px and maximum width and height of 4000px. The following file formats are supported - PNG, JPEG, JPG, JPEG 2000, WebP, BMP, GIF, TIFF, TIF, DIB, ICO, EPS, PSD, PPM, PGM, PBM, PNM, TGA, XBM
    Example: "https://blackbird.ai/wp-content/uploads/2024/09/GU-BlknW0AA78y0-1.jpeg"

  - `options` (object)

  - `options.explain` (boolean, required)
    Whether to explain the vision analysis result when there is anything worth explaining or not.

  - `options.isVideo` (boolean)
    Whether to use video analysis, requires an additional permission and is rate limited separately

  - `options.needFramesAnnotation` (boolean)
    Whether to annotate the frames of the video with a heatmap or bounding box.

  - `options.framesAnnotationType` (array)
    The type of annotation to apply to the frames of the video. Only one value is supported at a time.
    Enum: "heatmap", "bounding_box"

## Response 200 fields (application/json):

  - `id` (string, required)
    The ID of the vision analysis
    Example: "7bf34023-641f-4191-a836-8cd4716266f3"

  - `created_at` (string, required)
    The datetime the vision analysis was created
    Example: "2024-10-10T13:01:29.822Z"

  - `updated_at` (string, required)
    The datetime the vision analysis was last updated.
    Example: "2024-10-10T13:01:29.822Z"

  - `input` (string, required)
    The input to generate a vision analysis of
    Example: "https://blackbird.ai/wp-content/uploads/2024/09/GU-BlknW0AA78y0-1.jpeg"

  - `options` (object, required)

  - `options.explain` (boolean, required)
    Whether to explain the vision analysis result when there is anything worth explaining or not.

  - `options.isVideo` (boolean)
    Whether to use video analysis, requires an additional permission and is rate limited separately

  - `options.needFramesAnnotation` (boolean)
    Whether to annotate the frames of the video with a heatmap or bounding box.

  - `options.framesAnnotationType` (array)
    The type of annotation to apply to the frames of the video. Only one value is supported at a time.
    Enum: "heatmap", "bounding_box"

  - `status` (string, required)
    The status of the vision analysis generation
    Enum: "processing"


